Bug 222001 - cad/openvsp: fix build in -CURRENT
Summary: cad/openvsp: fix build in -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 222009
  Show dependency treegraph
 
Reported: 2017-09-02 16:30 UTC by Fernando Apesteguía
Modified: 2017-09-05 23:50 UTC (History)
1 user (show)

See Also:


Attachments
patch to the ports tree (8.87 KB, patch)
2017-09-02 16:30 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
patch to the ports tree V2 (8.89 KB, patch)
2017-09-03 20:05 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2017-09-02 16:30:52 UTC
Created attachment 185993 [details]
patch to the ports tree

On -CURRENT, gcc can not compile cad/openvsp. We switch to clang but need an additional patch in the port, otherwise clang 5.0.0 r312293 and earlier crashes.

This patch will be removed if/when clang compiles clean the port.

This update is based on a patch by dim@

For details, see:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221588

Q/A:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
 - builds for -CURRENT {i386,amd64}: OK
Comment 1 Fernando Apesteguía freebsd_committer 2017-09-03 20:05:34 UTC
Created attachment 186040 [details]
patch to the ports tree V2

Added missing portability clause.

Q/A:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
 - build for -CURRENT {amd64,i386}: OK
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-09-05 14:18:28 UTC
Take :)
Comment 3 commit-hook freebsd_committer 2017-09-05 23:50:19 UTC
A commit references this bug:

Author: cpm
Date: Tue Sep  5 23:49:47 UTC 2017
New revision: 449320
URL: https://svnweb.freebsd.org/changeset/ports/449320

Log:
  cad/openvsp: fix build on CURRENT

  - Pet portlint, USE_* comes before USES
  - Bump PORTREVISION

  On -CURRENT, gcc can not compile cad/openvsp. We switch to clang but need an
  additional patch in the port, otherwise clang 5.0.0 r312293 and earlier crashes.

  This patch will be removed if/when clang compiles clean the port.

  This update is based on a patch by dim@

  For details, see: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221588

  PR:		222001
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com> (maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/files/
  head/cad/openvsp/files/extra-src_external_angelscript_sdk_angelscript_source_as__callfunc__x86.cpp
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-09-05 23:50:59 UTC
Committed!

Thanks